OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectSent Class Reference

This class returns entities according sending to a file
Once a model has been loaded, further sendings are recorded
as status in the graph (for each value, a count of sendings)
Hence, it is possible to query entities : sent ones (at least
once), non-sent (i.e. remaining) ones, duplicated ones, etc...
This selection performs this query
.

`#include <IFSelect_SelectSent.hxx>`

Inheritance diagram for IFSelect_SelectSent:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_SelectSent (const Standard_Integer sentcount=1, const Standard_Boolean atleast=Standard_True)
| Creates a SelectSent : sentcount = 0 -> remaining (non-sent) entities sentcount = 1, atleast = True (D) -> sent (at least once) sentcount = 2, atleast = True -> duplicated (sent least twice) etc... sentcount = 1, atleast = False -> sent just once (non-dupl.d) sentcount = 2, atleast = False -> sent just twice etc... .
Standard_EXPORT Standard_Integer | SentCount () const
| Returns the queried count of sending .
Standard_EXPORT Standard_Boolean | AtLeast () const
| Returns the <atleast> status, True for sending at least the sending count, False for sending exactly the sending count Remark : if SentCount is 0, AtLeast is ignored .
virtual Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities. It is redefined to work on the graph itself (not queried by sort) An entity is selected if its count complies to the query in Direct Mode, rejected in Reversed Mode Query works on the sending count recorded as status in Graph .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns always False because RootResult has done the work .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns a text defining the criterium : query : SentCount = 0 -> "Remaining (non-sent) entities" SentCount = 1, AtLeast = True -> "Sent entities" SentCount = 1, AtLeast = False -> "Sent once (no duplicated)" SentCount = 2, AtLeast = True -> "Sent several times entities" SentCount = 2, AtLeast = False -> "Sent twice entities" SentCount > 2, AtLeast = True -> "Sent at least <count> times entities" SentCount > 2, AtLeast = False -> "Sent <count> times entities" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | thecnt
Standard_Boolean | thelst

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectSent::IFSelect_SelectSent | ( | const Standard_Integer | sentcount = `1`,
|  | const Standard_Boolean | atleast = `Standard_True`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean IFSelect_SelectSent::AtLeast | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString IFSelect_SelectSent::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT const IFSelect_SelectSent::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract.

virtual Standard_EXPORT Interface_EntityIterator IFSelect_SelectSent::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Reimplemented from IFSelect_SelectExtract.

Standard_EXPORT Standard_Integer IFSelect_SelectSent::SentCount | ( |  | ) | const

Standard_EXPORT Standard_Boolean IFSelect_SelectSent::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

## Field Documentation

Standard_Integer IFSelect_SelectSent::thecnt`[private]`

Standard_Boolean IFSelect_SelectSent::thelst`[private]`

The documentation for this class was generated from the following file:

- IFSelect_SelectSent.hxx